Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(25)

Issue 1164873003: Show origin for hosted apps that navigate away from their start origin. (Closed)

Created:
4 years, 5 months ago by benwells
Modified:
4 years, 5 months ago
Reviewers:
Lei Zhang, felt
CC:
chromium-reviews, chromium-apps-reviews_chromium.org, extensions-reviews_chromium.org, chrome-apps-syd-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Show origin for hosted apps that navigate away from their start origin. This is only for hosted apps that run in their own window. BUG=467844 Committed: https://crrev.com/11bd6ed1f622cd9421ed4cdb53454e08d689e342 Cr-Commit-Position: refs/heads/master@{#333009}

Patch Set 1 #

Total comments: 7

Patch Set 2 : Test; DCHECK #

Total comments: 10

Patch Set 3 : Rebase #

Patch Set 4 : feedback for the stig #

Unified diffs Side-by-side diffs Delta from patch set Stats (+216 lines, -527 lines) Patch
M chrome/browser/ui/browser.h View 3 chunks +4 lines, -4 lines 0 comments Download
M chrome/browser/ui/browser.cc View 6 chunks +12 lines, -12 lines 0 comments Download
M chrome/browser/ui/browser_browsertest.cc View 1 2 1 chunk +4 lines, -1 line 0 comments Download
D chrome/browser/ui/extensions/bookmark_app_browser_controller.h View 1 chunk +0 lines, -51 lines 0 comments Download
D chrome/browser/ui/extensions/bookmark_app_browser_controller.cc View 1 chunk +0 lines, -107 lines 0 comments Download
D chrome/browser/ui/extensions/bookmark_app_browsertest.cc View 1 chunk +0 lines, -247 lines 0 comments Download
A chrome/browser/ui/extensions/hosted_app_browser_controller.h View 1 chunk +51 lines, -0 lines 0 comments Download
A + chrome/browser/ui/extensions/hosted_app_browser_controller.cc View 1 2 3 6 chunks +23 lines, -14 lines 0 comments Download
A + chrome/browser/ui/extensions/hosted_app_browsertest.cc View 1 2 3 5 chunks +113 lines, -82 lines 0 comments Download
M chrome/chrome_browser_ui.gypi View 1 2 2 chunks +2 lines, -2 lines 0 comments Download
M chrome/chrome_tests.gypi View 1 2 6 chunks +6 lines, -6 lines 0 comments Download
A + chrome/test/data/extensions/app_no_www/manifest.json View 1 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 18 (4 generated)
benwells
4 years, 5 months ago (2015-06-03 07:51:06 UTC) #2
felt
https://codereview.chromium.org/1164873003/diff/1/chrome/browser/ui/extensions/hosted_app_browser_controller.cc File chrome/browser/ui/extensions/hosted_app_browser_controller.cc (right): https://codereview.chromium.org/1164873003/diff/1/chrome/browser/ui/extensions/hosted_app_browser_controller.cc#newcode33 chrome/browser/ui/extensions/hosted_app_browser_controller.cc:33: www + app_url.host() == page_url.host()) && why single out ...
4 years, 5 months ago (2015-06-04 19:21:34 UTC) #3
benwells
https://codereview.chromium.org/1164873003/diff/1/chrome/browser/ui/extensions/hosted_app_browser_controller.cc File chrome/browser/ui/extensions/hosted_app_browser_controller.cc (right): https://codereview.chromium.org/1164873003/diff/1/chrome/browser/ui/extensions/hosted_app_browser_controller.cc#newcode33 chrome/browser/ui/extensions/hosted_app_browser_controller.cc:33: www + app_url.host() == page_url.host()) && On 2015/06/04 19:21:34, ...
4 years, 5 months ago (2015-06-04 23:54:42 UTC) #4
felt
https://codereview.chromium.org/1164873003/diff/1/chrome/browser/ui/extensions/hosted_app_browser_controller.cc File chrome/browser/ui/extensions/hosted_app_browser_controller.cc (right): https://codereview.chromium.org/1164873003/diff/1/chrome/browser/ui/extensions/hosted_app_browser_controller.cc#newcode33 chrome/browser/ui/extensions/hosted_app_browser_controller.cc:33: www + app_url.host() == page_url.host()) && On 2015/06/04 23:54:42, ...
4 years, 5 months ago (2015-06-04 23:58:37 UTC) #5
benwells
On 2015/06/04 23:58:37, felt wrote: > https://codereview.chromium.org/1164873003/diff/1/chrome/browser/ui/extensions/hosted_app_browser_controller.cc > File chrome/browser/ui/extensions/hosted_app_browser_controller.cc (right): > > https://codereview.chromium.org/1164873003/diff/1/chrome/browser/ui/extensions/hosted_app_browser_controller.cc#newcode33 > ...
4 years, 5 months ago (2015-06-05 00:06:39 UTC) #6
benwells
https://codereview.chromium.org/1164873003/diff/1/chrome/browser/ui/extensions/hosted_app_browser_controller.cc File chrome/browser/ui/extensions/hosted_app_browser_controller.cc (right): https://codereview.chromium.org/1164873003/diff/1/chrome/browser/ui/extensions/hosted_app_browser_controller.cc#newcode63 chrome/browser/ui/extensions/hosted_app_browser_controller.cc:63: extension && extension->from_bookmark() && On 2015/06/04 19:21:33, felt wrote: ...
4 years, 5 months ago (2015-06-05 01:20:44 UTC) #7
felt
lgtm
4 years, 5 months ago (2015-06-05 01:30:52 UTC) #8
benwells
+thestig for chrome/browser/ui/browser* stuff
4 years, 5 months ago (2015-06-05 01:35:19 UTC) #10
Lei Zhang
lgtm The rest are all nits. https://codereview.chromium.org/1164873003/diff/20001/chrome/browser/ui/extensions/hosted_app_browser_controller.cc File chrome/browser/ui/extensions/hosted_app_browser_controller.cc (right): https://codereview.chromium.org/1164873003/diff/20001/chrome/browser/ui/extensions/hosted_app_browser_controller.cc#newcode58 chrome/browser/ui/extensions/hosted_app_browser_controller.cc:58: should_use_web_app_frame_(false) { You ...
4 years, 5 months ago (2015-06-05 01:51:50 UTC) #11
benwells
https://codereview.chromium.org/1164873003/diff/20001/chrome/browser/ui/extensions/hosted_app_browser_controller.cc File chrome/browser/ui/extensions/hosted_app_browser_controller.cc (right): https://codereview.chromium.org/1164873003/diff/20001/chrome/browser/ui/extensions/hosted_app_browser_controller.cc#newcode58 chrome/browser/ui/extensions/hosted_app_browser_controller.cc:58: should_use_web_app_frame_(false) { On 2015/06/05 01:51:50, Lei Zhang wrote: > ...
4 years, 5 months ago (2015-06-05 03:19:47 UTC) #12
Lei Zhang
lgtm++
4 years, 5 months ago (2015-06-05 03:25:04 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1164873003/60001
4 years, 5 months ago (2015-06-05 03:52:39 UTC) #16
commit-bot: I haz the power
Committed patchset #4 (id:60001)
4 years, 5 months ago (2015-06-05 04:20:51 UTC) #17
commit-bot: I haz the power
4 years, 5 months ago (2015-06-05 04:21:37 UTC) #18
Message was sent while issue was closed.
Patchset 4 (id:??) landed as
https://crrev.com/11bd6ed1f622cd9421ed4cdb53454e08d689e342
Cr-Commit-Position: refs/heads/master@{#333009}

Powered by Google App Engine
This is Rietveld 408576698